Bug 1307647 - jboss-logging: FTBFS in rawhide
Summary: jboss-logging: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: jboss-logging
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24FTBFS
TreeView+ depends on / blocked
 
Reported: 2016-02-13 21:38 UTC by Fedora Release Engineering
Modified: 2016-03-01 08:25 UTC (History)
4 users (show)

Fixed In Version: jboss-logging-3.1.4-6.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-01 08:25:16 UTC


Attachments (Terms of Use)
build.log (12.10 KB, text/plain)
2016-02-13 21:38 UTC, Fedora Release Engineering
no flags Details
root.log (130.86 KB, text/plain)
2016-02-13 21:38 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2016-02-13 21:38 UTC, Fedora Release Engineering
no flags Details
fix FTBFS (3.08 KB, patch)
2016-02-14 14:01 UTC, gil cattaneo
no flags Details | Diff

Description Fedora Release Engineering 2016-02-13 21:38:04 UTC
Your package jboss-logging failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12825517

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

Comment 1 Fedora Release Engineering 2016-02-13 21:38:06 UTC
Created attachment 1125005 [details]
build.log

Comment 2 Fedora Release Engineering 2016-02-13 21:38:08 UTC
Created attachment 1125006 [details]
root.log

Comment 3 Fedora Release Engineering 2016-02-13 21:38:09 UTC
Created attachment 1125007 [details]
state.log

Comment 4 gil cattaneo 2016-02-14 14:01:55 UTC
Created attachment 1127040 [details]
fix FTBFS

- fix BR list and use BR mvn()-like
- introduce license macro
- fix some rpmlint problem

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12982092

Comment 5 Jan Kurik 2016-02-24 14:48:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 gil cattaneo 2016-03-01 08:25:16 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=13186965


Note You need to log in before you can comment on or make changes to this bug.